Configure PostgreSQL Instance
This API creates Cloud Database Instance for PostgreSQL.
All the databases in the PostgreSQL instance will be backed up after creation.
Use GET azuredb/postgresql/instance API to get the instanceName and port.
- application/json
Request Body
- instanceName string
Name of the PostgreSQL instance or 'PostgreSQL Azure Resource Discovery' for rule based discovery instance creation
- clientId integer
- clientName string
- planId integer
credential object
Database connection credentials
id integername stringbackupGateways object[]
List of backupGateways or backupGatewayGroups for the instance backup
Optional : Not required if the useResourcePoolInfo is set to true
id integername stringtype integer3 for backupGateways, 28 for backupGatewayGroups
ruleGroups object[]
Rules to associate with the Auto discovery instance during rule based discovery instance creation
matchCriteria integerruleEntities object[]
ruleDefinition object
type integervalue stringmatchType integer- useResourcePoolInfo boolean
true if configured resource pools will be used for the jobs
postGreSQLInstance object
MaintainenceDB stringport stringDatabase endpoint or hostname
EnableAutoDiscovery boolean- version string
PostgreSQL Instance version. Not applicable for Rule based discovery instance creation
region object
RegionInfo where the resourcepools are configured
id integername string
- 200
- 500
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
instance object
id integername string
{
"instance": {
"id": 0,
"name": "string"
}
}
{
"instance": {
"name": "pg2[eastus2]",
"id": 1753
}
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
- failedStage string
- errorCode integer
errorMessage object
errorMessage stringerrorCode stringentity object
subclientId stringclientId stringinstanceName stringinstanceId string_type_ string
{
"failedStage": "string",
"errorCode": 0,
"errorMessage": {
"errorMessage": "string",
"errorCode": "string",
"entity": {
"subclientId": "string",
"clientId": "string",
"instanceName": "string",
"instanceId": "string",
"_type_": "string"
}
}
}
{
"failedStage": "PostInstance",
"errorCode": -1,
"errorMessage": {
"errorMessage": "Unable to connect to client [] to execute [PostgreSQLBrowseAgent].\\\\nPlease ensure that all iDataAgent software is properly installed.\\\\nAlso check network connectivity and if this product's services are running.",
"errorCode": "4444",
"entity": {
"subclientId": "0",
"clientId": "2015",
"instanceName": "pg2[eastus2]",
"instanceId": "1962",
"_type_": "ROOT_ENTITY"
}
}
}